<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: tinyxml2::StrPair Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classtinyxml2_1_1_str_pair.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classtinyxml2_1_1_str_pair-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">tinyxml2::StrPair Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-types" name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a0301ef962e15dd94574431f1c61266c5" id="r_a0301ef962e15dd94574431f1c61266c5"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <br />
&#160;&#160;<a class="el" href="#a0301ef962e15dd94574431f1c61266c5a4f1e01a55f8efe4ca72c32d454060237">NEEDS_ENTITY_PROCESSING</a> = 0x01
, <a class="el" href="#a0301ef962e15dd94574431f1c61266c5a8f2045d56e70745d718672c0da91d0e0">NEEDS_NEWLINE_NORMALIZATION</a> = 0x02
, <a class="el" href="#a0301ef962e15dd94574431f1c61266c5a13996e9d4ed18fd2d6af59bbab291b63">NEEDS_WHITESPACE_COLLAPSING</a> = 0x04
, <a class="el" href="#a0301ef962e15dd94574431f1c61266c5aae519eb5a639858591763aa5fc6cc953">TEXT_ELEMENT</a> = NEEDS_ENTITY_PROCESSING | NEEDS_NEWLINE_NORMALIZATION
, <br />
&#160;&#160;<a class="el" href="#a0301ef962e15dd94574431f1c61266c5a96be48cf899bfeea0aa227f984f1fa63">TEXT_ELEMENT_LEAVE_ENTITIES</a> = NEEDS_NEWLINE_NORMALIZATION
, <a class="el" href="#a0301ef962e15dd94574431f1c61266c5aaab1cbefaa977e6f772b4e2575417aeb">ATTRIBUTE_NAME</a> = 0
, <a class="el" href="#a0301ef962e15dd94574431f1c61266c5a6d72f9ce15f50e8bcd680edf66235dfd">ATTRIBUTE_VALUE</a> = NEEDS_ENTITY_PROCESSING | NEEDS_NEWLINE_NORMALIZATION
, <a class="el" href="#a0301ef962e15dd94574431f1c61266c5a2decbd2513ac14f8befa987938326399">ATTRIBUTE_VALUE_LEAVE_ENTITIES</a> = NEEDS_NEWLINE_NORMALIZATION
, <br />
&#160;&#160;<a class="el" href="#a0301ef962e15dd94574431f1c61266c5a067a6ec90c8beea1cf5992930d93bffa">COMMENT</a> = NEEDS_NEWLINE_NORMALIZATION
<br />
 }</td></tr>
<tr class="separator:a0301ef962e15dd94574431f1c61266c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a69153963f7052de9f767d3d8c1623a70" id="r_a69153963f7052de9f767d3d8c1623a70"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a69153963f7052de9f767d3d8c1623a70">StrPair</a> ()</td></tr>
<tr class="separator:a69153963f7052de9f767d3d8c1623a70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60bed84d2503296e1c2a73fcef1431f9" id="r_a60bed84d2503296e1c2a73fcef1431f9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a60bed84d2503296e1c2a73fcef1431f9">~StrPair</a> ()</td></tr>
<tr class="separator:a60bed84d2503296e1c2a73fcef1431f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f05549373394266a1eecba26813c166" id="r_a4f05549373394266a1eecba26813c166"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4f05549373394266a1eecba26813c166">Set</a> (char *start, char *end, int flags)</td></tr>
<tr class="separator:a4f05549373394266a1eecba26813c166"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad87e3d11330f5e689ba1e7e54c023b57" id="r_ad87e3d11330f5e689ba1e7e54c023b57"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad87e3d11330f5e689ba1e7e54c023b57">GetStr</a> ()</td></tr>
<tr class="separator:ad87e3d11330f5e689ba1e7e54c023b57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca963a7eaa900bfddbea7312f040b39c" id="r_aca963a7eaa900bfddbea7312f040b39c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aca963a7eaa900bfddbea7312f040b39c">Empty</a> () const</td></tr>
<tr class="separator:aca963a7eaa900bfddbea7312f040b39c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2baf6230e18333e02ab65d0897ee3941" id="r_a2baf6230e18333e02ab65d0897ee3941"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2baf6230e18333e02ab65d0897ee3941">SetInternedStr</a> (const char *str)</td></tr>
<tr class="separator:a2baf6230e18333e02ab65d0897ee3941"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f82ec6b5bee35ee7466d8565e43b1de" id="r_a1f82ec6b5bee35ee7466d8565e43b1de"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1f82ec6b5bee35ee7466d8565e43b1de">SetStr</a> (const char *str, int flags=0)</td></tr>
<tr class="separator:a1f82ec6b5bee35ee7466d8565e43b1de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68e6999b7677fa711287ececb9ba317e" id="r_a68e6999b7677fa711287ececb9ba317e"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a68e6999b7677fa711287ececb9ba317e">ParseText</a> (char *in, const char *endTag, int strFlags, int *curLineNumPtr)</td></tr>
<tr class="separator:a68e6999b7677fa711287ececb9ba317e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6d8998efceba41d87ec2300c70a6085" id="r_aa6d8998efceba41d87ec2300c70a6085"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa6d8998efceba41d87ec2300c70a6085">ParseName</a> (char *in)</td></tr>
<tr class="separator:aa6d8998efceba41d87ec2300c70a6085"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35f795b1557fe5fdcbd93d3cc5d6b939" id="r_a35f795b1557fe5fdcbd93d3cc5d6b939"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a35f795b1557fe5fdcbd93d3cc5d6b939">TransferTo</a> (<a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a> *other)</td></tr>
<tr class="separator:a35f795b1557fe5fdcbd93d3cc5d6b939"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80c1b3bd99bf62ae85c94a29ce537125" id="r_a80c1b3bd99bf62ae85c94a29ce537125"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a80c1b3bd99bf62ae85c94a29ce537125">Reset</a> ()</td></tr>
<tr class="separator:a80c1b3bd99bf62ae85c94a29ce537125"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-types" name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:a476a92d76f24486c3ae4731916b12aae" id="r_a476a92d76f24486c3ae4731916b12aae"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <a class="el" href="#a476a92d76f24486c3ae4731916b12aaea2d8841daedc3955ed20ec9f760318434">NEEDS_FLUSH</a> = 0x100
, <a class="el" href="#a476a92d76f24486c3ae4731916b12aaeab9a3152ce5df9e7f4bbf3774fe862c75">NEEDS_DELETE</a> = 0x200
 }</td></tr>
<tr class="separator:a476a92d76f24486c3ae4731916b12aae"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ade1469025e6b4cac74397a82a7429337" id="r_ade1469025e6b4cac74397a82a7429337"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ade1469025e6b4cac74397a82a7429337">CollapseWhitespace</a> ()</td></tr>
<tr class="separator:ade1469025e6b4cac74397a82a7429337"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac43c1f4a5730c5582f9cff724376d106" id="r_ac43c1f4a5730c5582f9cff724376d106"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac43c1f4a5730c5582f9cff724376d106">StrPair</a> (const <a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a> &amp;other)</td></tr>
<tr class="separator:ac43c1f4a5730c5582f9cff724376d106"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeca3b715def403efed9f725d0fb0060" id="r_abeca3b715def403efed9f725d0fb0060"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abeca3b715def403efed9f725d0fb0060">operator=</a> (const <a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a> &amp;other)</td></tr>
<tr class="separator:abeca3b715def403efed9f725d0fb0060"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae6fabc08e7b24b0d41fa5f2fadbda4ed" id="r_ae6fabc08e7b24b0d41fa5f2fadbda4ed"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae6fabc08e7b24b0d41fa5f2fadbda4ed">_flags</a></td></tr>
<tr class="separator:ae6fabc08e7b24b0d41fa5f2fadbda4ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfd8687916a02833cc55c279460d2f4a" id="r_acfd8687916a02833cc55c279460d2f4a"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acfd8687916a02833cc55c279460d2f4a">_start</a></td></tr>
<tr class="separator:acfd8687916a02833cc55c279460d2f4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a855c81f785458d8f84313221f2d4a1eb" id="r_a855c81f785458d8f84313221f2d4a1eb"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a855c81f785458d8f84313221f2d4a1eb">_end</a></td></tr>
<tr class="separator:a855c81f785458d8f84313221f2d4a1eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="a0301ef962e15dd94574431f1c61266c5" name="a0301ef962e15dd94574431f1c61266c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0301ef962e15dd94574431f1c61266c5">&#9670;&#160;</a></span>anonymous enum</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum</td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a0301ef962e15dd94574431f1c61266c5a4f1e01a55f8efe4ca72c32d454060237" name="a0301ef962e15dd94574431f1c61266c5a4f1e01a55f8efe4ca72c32d454060237"></a>NEEDS_ENTITY_PROCESSING&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a0301ef962e15dd94574431f1c61266c5a8f2045d56e70745d718672c0da91d0e0" name="a0301ef962e15dd94574431f1c61266c5a8f2045d56e70745d718672c0da91d0e0"></a>NEEDS_NEWLINE_NORMALIZATION&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a0301ef962e15dd94574431f1c61266c5a13996e9d4ed18fd2d6af59bbab291b63" name="a0301ef962e15dd94574431f1c61266c5a13996e9d4ed18fd2d6af59bbab291b63"></a>NEEDS_WHITESPACE_COLLAPSING&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a0301ef962e15dd94574431f1c61266c5aae519eb5a639858591763aa5fc6cc953" name="a0301ef962e15dd94574431f1c61266c5aae519eb5a639858591763aa5fc6cc953"></a>TEXT_ELEMENT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a0301ef962e15dd94574431f1c61266c5a96be48cf899bfeea0aa227f984f1fa63" name="a0301ef962e15dd94574431f1c61266c5a96be48cf899bfeea0aa227f984f1fa63"></a>TEXT_ELEMENT_LEAVE_ENTITIES&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a0301ef962e15dd94574431f1c61266c5aaab1cbefaa977e6f772b4e2575417aeb" name="a0301ef962e15dd94574431f1c61266c5aaab1cbefaa977e6f772b4e2575417aeb"></a>ATTRIBUTE_NAME&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a0301ef962e15dd94574431f1c61266c5a6d72f9ce15f50e8bcd680edf66235dfd" name="a0301ef962e15dd94574431f1c61266c5a6d72f9ce15f50e8bcd680edf66235dfd"></a>ATTRIBUTE_VALUE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a0301ef962e15dd94574431f1c61266c5a2decbd2513ac14f8befa987938326399" name="a0301ef962e15dd94574431f1c61266c5a2decbd2513ac14f8befa987938326399"></a>ATTRIBUTE_VALUE_LEAVE_ENTITIES&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a0301ef962e15dd94574431f1c61266c5a067a6ec90c8beea1cf5992930d93bffa" name="a0301ef962e15dd94574431f1c61266c5a067a6ec90c8beea1cf5992930d93bffa"></a>COMMENT&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<a id="a476a92d76f24486c3ae4731916b12aae" name="a476a92d76f24486c3ae4731916b12aae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a476a92d76f24486c3ae4731916b12aae">&#9670;&#160;</a></span>anonymous enum</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a476a92d76f24486c3ae4731916b12aaea2d8841daedc3955ed20ec9f760318434" name="a476a92d76f24486c3ae4731916b12aaea2d8841daedc3955ed20ec9f760318434"></a>NEEDS_FLUSH&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a476a92d76f24486c3ae4731916b12aaeab9a3152ce5df9e7f4bbf3774fe862c75" name="a476a92d76f24486c3ae4731916b12aaeab9a3152ce5df9e7f4bbf3774fe862c75"></a>NEEDS_DELETE&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a69153963f7052de9f767d3d8c1623a70" name="a69153963f7052de9f767d3d8c1623a70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69153963f7052de9f767d3d8c1623a70">&#9670;&#160;</a></span>StrPair() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tinyxml2::StrPair::StrPair </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a60bed84d2503296e1c2a73fcef1431f9" name="a60bed84d2503296e1c2a73fcef1431f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60bed84d2503296e1c2a73fcef1431f9">&#9670;&#160;</a></span>~StrPair()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tinyxml2::StrPair::~StrPair </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac43c1f4a5730c5582f9cff724376d106" name="ac43c1f4a5730c5582f9cff724376d106"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac43c1f4a5730c5582f9cff724376d106">&#9670;&#160;</a></span>StrPair() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tinyxml2::StrPair::StrPair </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>other</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ade1469025e6b4cac74397a82a7429337" name="ade1469025e6b4cac74397a82a7429337"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade1469025e6b4cac74397a82a7429337">&#9670;&#160;</a></span>CollapseWhitespace()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::StrPair::CollapseWhitespace </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aca963a7eaa900bfddbea7312f040b39c" name="aca963a7eaa900bfddbea7312f040b39c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca963a7eaa900bfddbea7312f040b39c">&#9670;&#160;</a></span>Empty()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tinyxml2::StrPair::Empty </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad87e3d11330f5e689ba1e7e54c023b57" name="ad87e3d11330f5e689ba1e7e54c023b57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad87e3d11330f5e689ba1e7e54c023b57">&#9670;&#160;</a></span>GetStr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char * tinyxml2::StrPair::GetStr </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abeca3b715def403efed9f725d0fb0060" name="abeca3b715def403efed9f725d0fb0060"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abeca3b715def403efed9f725d0fb0060">&#9670;&#160;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::StrPair::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>other</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa6d8998efceba41d87ec2300c70a6085" name="aa6d8998efceba41d87ec2300c70a6085"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6d8998efceba41d87ec2300c70a6085">&#9670;&#160;</a></span>ParseName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char * tinyxml2::StrPair::ParseName </td>
          <td>(</td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>in</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a68e6999b7677fa711287ececb9ba317e" name="a68e6999b7677fa711287ececb9ba317e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68e6999b7677fa711287ececb9ba317e">&#9670;&#160;</a></span>ParseText()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char * tinyxml2::StrPair::ParseText </td>
          <td>(</td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>in</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>endTag</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>strFlags</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *</td>          <td class="paramname"><span class="paramname"><em>curLineNumPtr</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a80c1b3bd99bf62ae85c94a29ce537125" name="a80c1b3bd99bf62ae85c94a29ce537125"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80c1b3bd99bf62ae85c94a29ce537125">&#9670;&#160;</a></span>Reset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::StrPair::Reset </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4f05549373394266a1eecba26813c166" name="a4f05549373394266a1eecba26813c166"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f05549373394266a1eecba26813c166">&#9670;&#160;</a></span>Set()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::StrPair::Set </td>
          <td>(</td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>start</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>end</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>flags</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2baf6230e18333e02ab65d0897ee3941" name="a2baf6230e18333e02ab65d0897ee3941"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2baf6230e18333e02ab65d0897ee3941">&#9670;&#160;</a></span>SetInternedStr()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::StrPair::SetInternedStr </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>str</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1f82ec6b5bee35ee7466d8565e43b1de" name="a1f82ec6b5bee35ee7466d8565e43b1de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f82ec6b5bee35ee7466d8565e43b1de">&#9670;&#160;</a></span>SetStr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::StrPair::SetStr </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>str</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>flags</em><span class="paramdefsep"> = </span><span class="paramdefval">0</span></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a35f795b1557fe5fdcbd93d3cc5d6b939" name="a35f795b1557fe5fdcbd93d3cc5d6b939"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35f795b1557fe5fdcbd93d3cc5d6b939">&#9670;&#160;</a></span>TransferTo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::StrPair::TransferTo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a> *</td>          <td class="paramname"><span class="paramname"><em>other</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a855c81f785458d8f84313221f2d4a1eb" name="a855c81f785458d8f84313221f2d4a1eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a855c81f785458d8f84313221f2d4a1eb">&#9670;&#160;</a></span>_end</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char* tinyxml2::StrPair::_end</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6fabc08e7b24b0d41fa5f2fadbda4ed" name="ae6fabc08e7b24b0d41fa5f2fadbda4ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6fabc08e7b24b0d41fa5f2fadbda4ed">&#9670;&#160;</a></span>_flags</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int tinyxml2::StrPair::_flags</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acfd8687916a02833cc55c279460d2f4a" name="acfd8687916a02833cc55c279460d2f4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfd8687916a02833cc55c279460d2f4a">&#9670;&#160;</a></span>_start</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char* tinyxml2::StrPair::_start</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/dep/tinyxml2/inc/<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a></li>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/dep/tinyxml2/src/<a class="el" href="tinyxml2_8cpp.html">tinyxml2.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacetinyxml2.html">tinyxml2</a></li><li class="navelem"><a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
